Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030449
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2015-07-29 12:542015-08-20 23:16
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision3aae880a7aa2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030449: Automatic distribution of the amount in Add Details window cannot be disabled

DescriptionAutomatic distribution of the amount in Add Details window cannot be disabled
Steps To ReproduceAs group admin role:
   Generate a credit to a business partner
   Generate two invoices for that business partner. Do not use credit when completing them
   Create a new payment in for that business partner, select one of the invoices, reduce the amount to be paid and then select the credit to use
   Check the credit amount is distributed among the two invoices
Proposed SolutionAllow the user to choose if the automatic distribution should be performed or not (e.g. by a preference)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0079219)
AtulOpenbravo (developer)
2015-08-06 12:53

Test Plan
- Login as F&B International Group Admin Role.
- Go to Preferences and add a new record. From Property List select property name "Add Payment: Automatically distribute amounts" and set value as N.
- Log out and Log in again.

- As a F&B International Group Admin.
- Generate a credit to a business partner.
- Generate two invoices for that business partner. Do not use credit when completing them.
- Create a new payment in for that business partner, select one of the invoices, reduce the amount to be paid and then select the credit to use.
- Check the credit amount is not distributed among the two invoices any more.

Alternate Test Plan
- Log in as F&B International Group Admin
- In preferences check whether preference for "Add Payment: Automatically distribute Amount" exists. If yes then either delete it or make sure that value of preference is set as Y.
- Log out and Log in as F&B International Group Admin

- Generate a credit to a business partner.
- Generate two invoices for that business partner. Do not use credit when completing them.
- Create a new payment in for that business partner, select one of the invoices, reduce the amount to be paid and then select the credit to use.
- Check the credit amount is distributed among the two invoices.
(0079248)
hgbot (developer)
2015-08-07 12:25

Repository: erp/devel/pi
Changeset: 3aae880a7aa2277208ba5fcfaf41a94c2113a1b4
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Aug 06 16:14:03 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/3aae880a7aa2277208ba5fcfaf41a94c2113a1b4 [^]

Fixes Issue 30449:Automatic distribution of the amount in Add Details window
cannot be disabled

A preference APRM_AutoDistributeAmt - Add Payment: Automatically distribute
amounts. In disribute amount method before doing auto distribution this
preference is checked. If it is not set or is set as 'Y' then only distribution
of amount will take place else not.

To disable distribute functionality user need to set this preference to 'N'.It
is made available in the property list.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_REF_LIST.xml
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
---
(0079249)
hgbot (developer)
2015-08-07 12:25

Repository: erp/devel/pi
Changeset: 134c828d9f0af406bdc4d036be35f5506f691926
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Fri Aug 07 12:23:06 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/134c828d9f0af406bdc4d036be35f5506f691926 [^]

Related to issue 30449: code review improvements
If clause checks autoDistributeAmt is not 'N' to follow same logic as for APRM_ShowNoDistributeMsg.
autoDistributeAmt is directly assigned in the variable definition.

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
---
(0079250)
vmromanos (developer)
2015-08-07 12:39

Code review + testing OK
(0079533)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test
(0079534)
hudsonbot (developer)
2015-08-20 23:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8c91718397a5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-07-29 12:54 ngarcia New Issue
2015-07-29 12:54 ngarcia Assigned To => Triage Finance
2015-07-29 12:54 ngarcia Modules => Core
2015-07-29 12:54 ngarcia Triggers an Emergency Pack => No
2015-07-29 13:00 ngarcia Type feature request => design defect
2015-07-29 13:00 ngarcia Summary It would be fine if the automatic distribution of the amount in Add Details window should be disabled => Automatic distribution of the amount in Add Details window cannot be disabled
2015-07-29 13:00 ngarcia Description Updated View Revisions
2015-07-29 13:01 ngarcia Type design defect => defect
2015-07-29 15:26 ngarcia Proposed Solution updated
2015-07-29 15:26 ngarcia Issue Monitored: networkb
2015-07-29 15:38 jpcalvente Issue Monitored: jpcalvente
2015-08-04 06:08 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-08-04 06:08 AtulOpenbravo Status new => scheduled
2015-08-06 12:53 AtulOpenbravo Note Added: 0079219
2015-08-07 12:25 hgbot Checkin
2015-08-07 12:25 hgbot Note Added: 0079248
2015-08-07 12:25 hgbot Status scheduled => resolved
2015-08-07 12:25 hgbot Resolution open => fixed
2015-08-07 12:25 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3aae880a7aa2277208ba5fcfaf41a94c2113a1b4 [^]
2015-08-07 12:25 hgbot Checkin
2015-08-07 12:25 hgbot Note Added: 0079249
2015-08-07 12:39 vmromanos Review Assigned To => vmromanos
2015-08-07 12:39 vmromanos Note Added: 0079250
2015-08-07 12:39 vmromanos Status resolved => closed
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079533
2015-08-20 23:16 hudsonbot Checkin
2015-08-20 23:16 hudsonbot Note Added: 0079534


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker